Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 3)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 6, 7, 8 ... 38, 39, 40  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Jan 11, 2009 10:42 pm    Post subject: Reply with quote

reavertm wrote:
@wrc1944
@kernelOfTruth

Check whether svn extract issues are still present in kde-crazy with live ebuilds (that means sync overlay).


I will during the next days, thanks :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 826
Location: Alaska

PostPosted: Mon Jan 12, 2009 1:39 am    Post subject: Reply with quote

I hope I'm not breaking the rules but I've discovered a possible clue that I've outlined in a thread about digikam failing to compile because it can't find libraries and I want to post that here too in case you aren't reading that other thread. I would love to solve this problem. That other thread is about digikam not finding libraries, but here I would like to ask about this clue:

It looks like my problem may be because some things are being installed in /usr/kde/live instead of /usr/kde/4.2. I'm using kde-testing overlay and 4.1.87 (4.2) builds. But some things are installed in the /usr/kde/live directory, perhaps back when I used live ebuilds instead of current snapshots.

Can someone suggest a way to extract myself from this predicament? Here's my last post in that other thread:

Quote:
I took a look in /var/tmp/portage/media-gfx/digikam-0.10.0_beta8/temp/gentoo_common_config.cmake file and the last lines in that file say this:
Code:
SET(CMAKE_INSTALL_PREFIX /usr/kde/live CACHE FILEPATH "install path prefix")
SET(LIB_SUFFIX CACHE FILEPATH "library path suffix")
SET(LIB_INSTALL_DIR /usr/kde/live/lib CACHE FILEPATH "library install directory")

SET(CMAKE_BUILD_TYPE Release CACHE STRING "determines build settings")


I do have a /usr/kde/live directory but I also have /usr/kde/4.2 and ../3.5 directories. Since I'm not using live ebuilds, could this be the problem? How could I fix it if so?

Here's what I got:
Code:
jad ~ # ls /usr/kde/
3.5/ 4.1/ 4.2/ live/
jad ~ # ls /usr/kde/live/
bin/ etc/ include/ lib/ share/
jad ~ # ls /usr/kde/4.2/
bin/ env/ etc/ include/ lib/ share/ shutdown/


cheers, JD

[edit] I also just installed amarok2.0.1 and it installed in /usr/kde/live/bin - result being that the amarok in my kde menu only sees amarok1.4. If I start amarok by typing /usr/kde/live/bin/amarok then it starts but has no sound. So it isn't just digikam that is getting screwed by something on my kde install.
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 154
Location: Czech Republic

PostPosted: Mon Jan 12, 2009 4:22 am    Post subject: Reply with quote

hunky wrote:
I hope I'm not breaking the rules but I've discovered a possible clue that I've outlined in a thread about digikam failing to compile because it can't find libraries and I want to post that here too in case you aren't reading that other thread. I would love to solve this problem. That other thread is about digikam not finding libraries, but here I would like to ask about this clue:

It looks like my problem may be because some things are being installed in /usr/kde/live instead of /usr/kde/4.2. I'm using kde-testing overlay and 4.1.87 (4.2) builds. But some things are installed in the /usr/kde/live directory, perhaps back when I used live ebuilds instead of current snapshots.



Do you have both kdelibs installed? If yes, just check /etc/portage/package.unmask for the kde stuff.

What says
Code:
eix kdelibs
Back to top
View user's profile Send private message
XianN
Tux's lil' helper
Tux's lil' helper


Joined: 21 Jan 2006
Posts: 82
Location: .wroc.pl

PostPosted: Mon Jan 12, 2009 5:12 am    Post subject: Reply with quote

kde-base/kdelibs-9999 depends on x11-proto/inputproto
Code:
[ 35%] Building CXX object kdeui/CMakeFiles/kdeui.dir/util/knotificationrestrictions.o
In file included from /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/util/knotificationrestrictions.cpp:40:
/usr/include/X11/extensions/XTest.h:50:35: error: X11/extensions/XInput.h: Nie ma takiego pliku ani katalogu
[ 35%] Building CXX object kdeui/CMakeFiles/kdeui.dir/util/knumvalidator.o
In file included from /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/util/knotificationrestrictions.cpp:40:
/usr/include/X11/extensions/XTest.h:54: error: ‘Bool’ does not name a type
/usr/include/X11/extensions/XTest.h:62: error: ‘Bool’ does not name a type
/usr/include/X11/extensions/XTest.h:68: error: ‘Bool’ does not name a type
/usr/include/X11/extensions/XTest.h:76: error: ‘Bool’ has not been declared
/usr/include/X11/extensions/XTest.h:83: error: ‘Bool’ has not been declared
/usr/include/X11/extensions/XTest.h:104: error: ‘XDevice’ has not been declared
/usr/include/X11/extensions/XTest.h:106: error: ‘Bool’ has not been declared
/usr/include/X11/extensions/XTest.h:114: error: ‘XDevice’ has not been declared
/usr/include/X11/extensions/XTest.h:116: error: ‘Bool’ has not been declared
/usr/include/X11/extensions/XTest.h:124: error: ‘XDevice’ has not been declared
/usr/include/X11/extensions/XTest.h:125: error: ‘Bool’ has not been declared
/usr/include/X11/extensions/XTest.h:133: error: ‘XDevice’ has not been declared
/usr/include/X11/extensions/XTest.h:134: error: ‘Bool’ has not been declared
/usr/include/X11/extensions/XTest.h:143: error: ‘Bool’ has not been declared
/usr/include/X11/extensions/XTest.h:148: error: ‘GContext’ has not been declared
/usr/include/X11/extensions/XTest.h:152: error: variable or field ‘XTestSetVisualIDOfVisual’ declared void
/usr/include/X11/extensions/XTest.h:152: error: ‘Visual’ was not declared in this scope
/usr/include/X11/extensions/XTest.h:152: error: expected primary-expression before ‘,’ token
/usr/include/X11/extensions/XTest.h:153: error: ‘VisualID’ was not declared in this scope
/usr/include/X11/extensions/XTest.h:156: error: ‘Status’ does not name a type
/var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/util/knotificationrestrictions.cpp: In member function ‘void KNotificationRestrictions::Private::screensaverFakeKeyEvent()’:
/var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/util/knotificationrestrictions.cpp:100: error: ‘CurrentTime’ was not declared in this scope
/var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/util/knotificationrestrictions.cpp:102: error: ‘XSync’ was not declared in this scope
/var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/util/knotificationrestrictions.cpp: In member function ‘void KNotificationRestrictions::Private::startScreenSaverPrevention()’:
/var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/util/knotificationrestrictions.cpp:121: error: ‘XTestQueryExtension’ was not declared in this scope
/var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/util/knotificationrestrictions.cpp:130: error: ‘XKeysymToKeycode’ was not declared in this scope
make[2]: *** [kdeui/CMakeFiles/kdeui.dir/util/knotificationrestrictions.o] Błąd 1
make[2]: *** Oczekiwanie na niezakończone zadania....
make[1]: *** [kdeui/CMakeFiles/kdeui.dir/all] Błąd 2
make: *** [all] Błąd 2

Code:
# qfile XInput.h
x11-proto/inputproto (/usr/include/X11/extensions/XInput.h)
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 826
Location: Alaska

PostPosted: Mon Jan 12, 2009 5:28 am    Post subject: Reply with quote

mkyral wrote:


Do you have both kdelibs installed? If yes, just check /etc/portage/package.unmask for the kde stuff.

What says
Code:
eix kdelibs


I have aparently both installed. I should just delete kdelibs-9999? I wonder how to get rid of other stuff like that - I did run an emerge -C line that supposedly uninstalls all of the 9999 stuff but apparently it did not.

Code:
jad ~ # eix kdelibs
[D] kde-base/kdelibs
     Available versions:
        (3.5)   3.5.8-r4!t (~)3.5.9!t (~)3.5.9-r1!t (~)3.5.9-r2!t (~)3.5.9-r3!t 3.5.9-r4!t (~)3.5.10-r1!t (~)3.5.10-r2!t
        (4.1)   (~)4.1.2!t (~)4.1.2-r1!t [m](~)4.1.3!t (~)4.1.3-r1!t (~)4.1.4!t[1]
        (4.2)   (~)4.1.85!t[1] (~)4.1.87!t[1] [M](~)4.1.96!t[1]
        {3dnow acl alsa altivec arts avahi bindist branding bzip2 cups debug doc elibc_FreeBSD fam htmlhandbook jpeg2k kdeenablefinal kdehiddenvisibility kdeprefix kerberos kernel_linux legacyssllua mmx nls openexr opengl semantic-desktop spell sse sse2 ssl test tiff utempter xinerama zeroconf}
     Installed versions:  3.5.10-r2(3.5)!t(02:15:51 PM 12/19/2008)(acl alsa arts cups fam kernel_linux spell tiff -avahi -bindist -branding -debug -doc -elibc_FreeBSD -jpeg2k -kdehiddenvisibility-kerberos -legacyssl -lua -openexr -utempter)
                          4.1.87(4.2)!t[1](09:05:32 AM 01/08/2009)(acl alsa bzip2 fam kdeprefix nls opengl semantic-desktop spell sse sse2 ssl -3dnow -altivec -bindist -debug -doc -htmlhandbook -jpeg2k -kerberos -mmx -openexr -test -zeroconf)
                          9999(live)!t[kde-crazy](06:06:59 PM 11/22/2008)(acl alsa bzip2 fam kdeprefix nls opengl semantic-desktop spell sse sse2 ssl -3dnow -altivec -bindist -debug -doc -htmlhandbook -jpeg2k -kerberos -mmx -openexr -test -zeroconf)
     Homepage:            http://www.kde.org/
     Description:         KDE libraries needed by all KDE programs.

[1] "kde" /usr/local/portage/layman/kde-testing


Well, that was easy - I uninstalled the errant kdelibs-9999 and now it compiles. You the man!! (I'm the idiot). Great - on to other problems..

cheers, Jim
Back to top
View user's profile Send private message
TemplarKnight
Guru
Guru


Joined: 14 Jun 2005
Posts: 311
Location: Greece/patras/

PostPosted: Mon Jan 12, 2009 10:36 am    Post subject: Reply with quote

I must have broken something today with my kde4.2 installation so that everytime I try to emerge a kde-related package I get various failures:
e.g:
Code:
emerge kdm
>>> Emerging (1 of 1) kde-base/kdm-4.1.87
 * kdebase-workspace-4.1.87.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                                                   [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                  [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                 [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                [ ok ]
>>> Unpacking source...                                                                                                                                     
 * Unpacking parts of kdebase-workspace-4.1.87.tar.bz2 to /var/tmp/portage/kde-base/kdm-4.1.87/work ...                                                [ ok ]
>>> Source unpacked.                                                                                                                                         
 * Applying kdebase-4.0.2-pam-optional.patch ...                                                                                                       [ ok ]
>>> Configuring source in /var/tmp/portage/kde-base/kdm-4.1.87/work/kdm-4.1.87 ...                                                                           
loading initial cache file /var/tmp/portage/kde-base/kdm-4.1.87/temp/gentoo_common_config.cmake                                                             
-- The C compiler identification is GNU                                                                                                                     
-- The CXX compiler identification is GNU                                                                                                                   
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc                                                                                           
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works                                                                                   
-- Detecting C compiler ABI info                                                                                                                             
-- Detecting C compiler ABI info - done                                                                                                                     
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++                                                                                         
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works                                                                                 
-- Detecting CXX compiler ABI info                                                                                                                           
-- Detecting CXX compiler ABI info - done                                                                                                                   
-- Looking for Q_WS_X11                                                                                                                                     
-- Looking for Q_WS_X11 - found                                                                                                                             
-- Looking for Q_WS_WIN                                                                                                                                     
-- Looking for Q_WS_WIN - not found.                                                                                                                         
-- Looking for Q_WS_QWS                                                                                                                                     
-- Looking for Q_WS_QWS - not found.                                                                                                                         
-- Looking for Q_WS_MAC                                                                                                                                     
-- Looking for Q_WS_MAC - not found.                                                                                                                         
-- Found Qt-Version 4.4.2 (using /usr/bin/qmake)                                                                                                             
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so                                                                                                                                                           
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found                                                                                                                                                   
-- Looking for gethostbyname                                                                                                                                 
-- Looking for gethostbyname - found                                                                                                                         
-- Looking for connect                                                                                                                                       
-- Looking for connect - found                                                                                                                               
-- Looking for remove                                                                                                                                       
-- Looking for remove - found                                                                                                                               
-- Looking for shmat                                                                                                                                         
-- Looking for shmat - found                                                                                                                                 
-- Looking for IceConnectionNumber in ICE                                                                                                                   
-- Looking for IceConnectionNumber in ICE - found                                                                                                           
-- Found X11: /usr/lib64/libX11.so                                                                                                                           
-- Looking for include files CMAKE_HAVE_PTHREAD_H                                                                                                           
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found                                                                                                   
-- Looking for pthread_create in pthreads                                                                                                                   
-- Looking for pthread_create in pthreads - not found                                                                                                       
-- Looking for pthread_create in pthread                                                                                                                     
-- Looking for pthread_create in pthread - found                                                                                                             
-- Found Threads: TRUE                                                                                                                                       
-- Found Automoc4: /usr/bin/automoc4                                                                                                                         
-- Found Perl: /usr/bin/perl                                                                                                                                 
-- Adding /usr/kde/4.2/share/apps/cmake/modules to CMAKE_MODULE_PATH                                                                                         
-- Performing Test _OFFT_IS_64BIT                                                                                                                           
-- Performing Test _OFFT_IS_64BIT - Success                                                                                                                 
-- Performing Test HAVE_FPIE_SUPPORT                                                                                                                         
-- Performing Test HAVE_FPIE_SUPPORT - Success                                                                                                               
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL                                                                                                           
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success                                                                                                 
-- Performing Test __KDE_HAVE_GCC_VISIBILITY                                                                                                                 
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success                                                                                                       
-- Found Phonon: /usr/lib64/libphonon.so                                                                                                                     
-- Found Phonon Includes: /usr/include/KDE;/usr/include                                                                                                     
-- Found KDE 4.1 include dir: /usr/kde/4.1/include                                                                                                           
-- Found KDE 4.1 library dir: /usr/kde/4.1/lib64                                                                                                             
-- Found KDE4 kconfig_compiler preprocessor: /usr/kde/4.1/bin/kconfig_compiler                                                                               
-- Found automoc4: /usr/bin/automoc4                                                                                                                         
-- Found Strigi                                                                                                                                             
-- Found Strigi: /usr/lib64/libstreams.so                                                                                                                   
-- Performing Test STRIGI_NEEDS_SIGNED_CHAR                                                                                                                 
-- Performing Test STRIGI_NEEDS_SIGNED_CHAR - Success                                                                                                       
-- Performing Test STRIGI_NEEDS_CHAR                                                                                                                         
-- Performing Test STRIGI_NEEDS_CHAR - Failed                                                                                                               
-- Strigi API is post-screwup, needs 'signed char'                                                                                                           
-- Found QImageBlitz: /usr/include/qimageblitz                                                                                                               
-- Found ZLIB: /lib64/libz.so                                                                                                                               
-- Found GLIB2: /usr/lib64/libglib-2.0.so                                                                                                                   
-- Found Fontconfig: /usr/lib64/libfontconfig.so                                                                                                             
-- checking for modules 'libggadget-1.0>=0.10.5;libggadget-qt-1.0>=0.10.5'                                                                                   
--   package 'libggadget-1.0>=0.10.5' not found                                                                                                             
--   package 'libggadget-qt-1.0>=0.10.5' not found                                                                                                           
-- Could not find OPTIONAL package Googlegadgets                                                                                                             
-- checking for modules 'eet;qzion>=0.3.0;qedje>=0.3.0'                                                                                                     
--   package 'eet' not found                                                                                                                                 
--   package 'qzion>=0.3.0' not found                                                                                                                       
--   package 'qedje>=0.3.0' not found                                                                                                                       
-- Could not find QZion and/or QEdje. Please download them here (http://dev.openbossa.org/trac/qedje).                                                       
-- Could not find OPTIONAL package QEdje                                                                                                                     
CMake Warning at /usr/kde/4.1/share/apps/cmake/modules/MacroOptionalFindPackage.cmake:19 (FIND_PACKAGE):                                                     
  Could not find module FindPythonLibrary.cmake or a configuration file for                                                                                 
  package PythonLibrary. 
....



or with dolphin:

Code:

>>> Emerging (1 of 1) kde-base/dolphin-4.1.87
 * kdebase-4.1.87.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                   [ ok ]
 * checking ebuild checksums ;-) ...                                                                        [ ok ]
 * checking auxfile checksums ;-) ...                                                                       [ ok ]
 * checking miscfile checksums ;-) ...                                                                      [ ok ]
>>> Unpacking source...                                                                                           
 * Unpacking parts of kdebase-4.1.87.tar.bz2 to /var/tmp/portage/kde-base/dolphin-4.1.87/work ...            [ ok ]
>>> Source unpacked.                                                                                               
 * Injecting library dependendencies from 'libkonq' ...                                                      [ ok ]
>>> Configuring source in /var/tmp/portage/kde-base/dolphin-4.1.87/work/dolphin-4.1.87 ...                         
loading initial cache file /var/tmp/portage/kde-base/dolphin-4.1.87/temp/gentoo_common_config.cmake               
-- The C compiler identification is GNU                                                                           
-- The CXX compiler identification is GNU                                                                         
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc                                                 
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works                                         
-- Detecting C compiler ABI info                                                                                   
-- Detecting C compiler ABI info - done                                                                           
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++                                               
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works                                       
-- Detecting CXX compiler ABI info                                                                                 
-- Detecting CXX compiler ABI info - done                                                                         
CMake Error at /usr/share/cmake/Modules/FindKDE4.cmake:44 (MESSAGE):                                               
  ERROR: Could not find KDE4 kde4-config                                                                           
Call Stack (most recent call first):                                                                               
  CMakeLists.txt:17 (find_package)                                                                                 


CMake Warning (dev) in CMakeLists.txt:
  No cmake_minimum_required command is present.  A line of code such as

    cmake_minimum_required(VERSION 2.6)

  should be added at the top of the file.  The version specified may be lower
  if you wish to support older CMake versions for this project.  For more   
  information run "cmake --help-policy CMP0000".                             
This warning is for project developers.  Use -Wno-dev to suppress it.       

-- Configuring incomplete, errors occurred!


Obviously it is looking in kde/4.1 dir for the module which is incorrect... How do I fix this??
Code:

grep kde /etc/env.d/*
/etc/env.d/43kdepaths-4.1:PATH="/usr/kde/4.1/bin"
/etc/env.d/43kdepaths-4.1:ROOTPATH="/usr/kde/4.1/sbin:/usr/kde/4.1/bin"
/etc/env.d/43kdepaths-4.1:LDPATH="/usr/kde/4.1/lib:/usr/kde/4.1/lib64:/usr/kde/4.1/lib32"
/etc/env.d/43kdepaths-4.1:MANPATH="/usr/kde/4.1/share/man"
/etc/env.d/43kdepaths-4.1:CONFIG_PROTECT="/usr/kde/4.1/share/config /usr/kde/4.1/env /usr/kde/4.1/shutdown /usr/share/config"
/etc/env.d/43kdepaths-4.1:XDG_DATA_DIRS="/usr/share:/usr/kde/4.1/share:/usr/local/share"
/etc/env.d/43kdepaths-4.2:PATH="/usr/kde/4.2/bin"
/etc/env.d/43kdepaths-4.2:ROOTPATH="/usr/kde/4.2/sbin:/usr/kde/4.2/bin"
/etc/env.d/43kdepaths-4.2:LDPATH="/usr/kde/4.2/lib:/usr/kde/4.2/lib64:/usr/kde/4.2/lib32"
/etc/env.d/43kdepaths-4.2:MANPATH="/usr/kde/4.2/share/man"
/etc/env.d/43kdepaths-4.2:CONFIG_PROTECT="/usr/kde/4.2/share/config /usr/kde/4.2/env /usr/kde/4.2/shutdown /usr/share/config"
/etc/env.d/43kdepaths-4.2:XDG_DATA_DIRS="/usr/share:/usr/kde/4.2/share:/usr/local/share"
/etc/env.d/45kdepaths-3.5:PATH=/usr/kde/3.5/bin
/etc/env.d/45kdepaths-3.5:ROOTPATH=/usr/kde/3.5/sbin:/usr/kde/3.5/bin
/etc/env.d/45kdepaths-3.5:LDPATH=/usr/kde/3.5/lib:/usr/kde/3.5/lib64:/usr/kde/3.5/lib32
/etc/env.d/45kdepaths-3.5:MANPATH=/usr/kde/3.5/share/man
/etc/env.d/45kdepaths-3.5:CONFIG_PROTECT="/usr/kde/3.5/share/config /usr/kde/3.5/env /usr/kde/3.5/shutdown /usr/share/config"
/etc/env.d/45kdepaths-3.5:KDEDIRS="/usr:/usr/local:/usr/kde/3.5"
/etc/env.d/45kdepaths-3.5:XDG_DATA_DIRS="/usr/share:/usr/kde/3.5/share:/usr/local/share"
/etc/env.d/90xsession:# kde-<version> - will start startkde (look in /etc/X11/Sessions/)



Seems cmake path is scrambled...
Any thoughts??
Back to top
View user's profile Send private message
ssmaxss
Apprentice
Apprentice


Joined: 28 Jun 2005
Posts: 160
Location: Moscow, Russia.

PostPosted: Mon Jan 12, 2009 12:49 pm    Post subject: Reply with quote

There are additional plugins for kdevelop to support languages like python:
http://www.kdevelop.org/mediawiki/index.php/KDevelop_4/KDev3_KDev4_comparison_table
source code here: http://websvn.kde.org/trunk/playground/devtools/kdevelop4-extra-plugins/
Will they be added to kde-testing/kde-crazy?
Back to top
View user's profile Send private message
TemplarKnight
Guru
Guru


Joined: 14 Jun 2005
Posts: 311
Location: Greece/patras/

PostPosted: Mon Jan 12, 2009 1:31 pm    Post subject: Reply with quote

Problem fixed. I accidentally emerged version kdelibs-4.1 and screwed up pretty everything. Unmerged it and reemerged kdelibs-4.2 :)
Back to top
View user's profile Send private message
tampakrap
Retired Dev
Retired Dev


Joined: 27 Nov 2007
Posts: 71
Location: Prague, Czech Republic

PostPosted: Mon Jan 12, 2009 1:46 pm    Post subject: Reply with quote

ssmaxss wrote:
There are additional plugins for kdevelop to support languages like python:
http://www.kdevelop.org/mediawiki/index.php/KDevelop_4/KDev3_KDev4_comparison_table
source code here: http://websvn.kde.org/trunk/playground/devtools/kdevelop4-extra-plugins/
Will they be added to kde-testing/kde-crazy?


added to my to do list, but you'll have to excuse me they are not in top of the list and kdevelop still is crashy :)
Back to top
View user's profile Send private message
ssmaxss
Apprentice
Apprentice


Joined: 28 Jun 2005
Posts: 160
Location: Moscow, Russia.

PostPosted: Mon Jan 12, 2009 1:51 pm    Post subject: Reply with quote

No problem, just thought that maybe they are here and I am missing them.
Back to top
View user's profile Send private message
tampakrap
Retired Dev
Retired Dev


Joined: 27 Nov 2007
Posts: 71
Location: Prague, Czech Republic

PostPosted: Mon Jan 12, 2009 10:46 pm    Post subject: Reply with quote

ECLASSES HIT THE TREE!!!!

the following is the scarabeus' announcement on gentoo-desktop and gentoo-dev mailing lists
scarabeus wrote:
Hi,
we gentoo kde devs and our herd testers would like to anounce that we have
prepared new kde4 eclasses which supports working with more kdes and has many
many features.
I will try to give you some info about usage and so on.
So first let take look under the hood (supported stuff):
* koffice2 (with these eclasses you can build reasonably split koffice stuff
:])
* linguas support (you have to install only languages user want)
* live ebuilds support (we support by default usage of subversion ebuilds
directly so you inherit the same eclass)
* reworked dependency blocks (so your application will work with kde-4.1
kde-4.2 or with every version, it is your call :])
* only EAPI="2" (this you might not like but every ebuild inheriting our
eclasses needs to be eapi2, sorry guys it is much simpler and cleaner)
* syntax cleanup (we polished the eclass so it should be readable for most
people and it should be easy to spot and fix error).

So what changes for you developers wanting to write some stuff:
1) new variables (all must be before inherit of our nice eclass)

KDE_LINGUAS="cs sr@Latn uk" # for specifying linguas in the package (These
must be all specified! so if you have some .po .ts and others in your package
you should fix up!)

NEED_KDE="4.3" # this variable is used for specifying dependency on certain
kde version, you should not define this variable if you are not sure, we have
nice fallback.

KDE_MINIMAL="4.3" # aproximate minimal needed kde version for your package.
Can be used as DEPEND=">=kde-base/libkonq-${KDE_MINIMAL}[kdeprefix=]".

KDE_WANTED="4.2" # this is internal variable used for specifying deps search
order. If user has kdeprefix we start version search from this version so it
gets first if installed or pulled. (really usefull only for internal kde use).

2) as example ebuilds you can browse kde-testing [1] and kde-crazy [2]

3) we also open new ~6months long oportunity window for feature call and code
cleanups :P

Enjoy using the new eclass :]

Tomas
PS: I really hope i didnt miss something important.
PPS: I really really hope that this time kmail will sent this as only text
mail not html one.

[1] http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=summary
[2] http://git.overlays.gentoo.org/gitweb/?p=proj/kde-crazy.git;a=summary
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Tue Jan 13, 2009 12:09 pm    Post subject: Reply with quote

tampakrap wrote:
ECLASSES HIT THE TREE!!!!


I am still getting these warnings, is that right? I have synced portage and the overlay.

Code:
 * Overlay eclasses override eclasses from PORTDIR:
 *
 *   '/usr/portage/local/layman/kde-crazy/eclass/kde4-base.eclass'
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 282

PostPosted: Tue Jan 13, 2009 12:14 pm    Post subject: Reply with quote

mikedee wrote:
tampakrap wrote:
ECLASSES HIT THE TREE!!!!


I am still getting these warnings, is that right? I have synced portage and the overlay.

Code:
 * Overlay eclasses override eclasses from PORTDIR:
 *
 *   '/usr/portage/local/layman/kde-crazy/eclass/kde4-base.eclass'


Mee too
Back to top
View user's profile Send private message
tampakrap
Retired Dev
Retired Dev


Joined: 27 Nov 2007
Posts: 71
Location: Prague, Czech Republic

PostPosted: Tue Jan 13, 2009 3:56 pm    Post subject: Reply with quote

because we still have under development eclasses in overlays :)
Back to top
View user's profile Send private message
NaiL
Apprentice
Apprentice


Joined: 13 Feb 2003
Posts: 228
Location: Spain/BCN

PostPosted: Tue Jan 13, 2009 5:59 pm    Post subject: Reply with quote

I was expecting to compile KDE 4.2 RC 1 (4.1.96?)

Was I expecting too much? :P
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 154
Location: Czech Republic

PostPosted: Tue Jan 13, 2009 6:17 pm    Post subject: Reply with quote

NaiL wrote:
I was expecting to compile KDE 4.2 RC 1 (4.1.96?)

Was I expecting too much? :P


You are not alone :-(
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7112
Location: Austria

PostPosted: Tue Jan 13, 2009 6:26 pm    Post subject: Reply with quote

RC1 is scheduled for Thursday.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 282

PostPosted: Tue Jan 13, 2009 6:27 pm    Post subject: Reply with quote

As long as it is not released, it cannot be compiled :D Otherweise I would wish to compile KDE 4.4 ;)
Back to top
View user's profile Send private message
skazi
Apprentice
Apprentice


Joined: 01 Oct 2004
Posts: 219
Location: Cieszyn/Poland

PostPosted: Tue Jan 13, 2009 6:30 pm    Post subject: Reply with quote

KDE 4.1.96 is released:
ftp://ftp.kde.org/pub/kde/unstable/4.1.96/src/

:D
Back to top
View user's profile Send private message
gaelic
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2003
Posts: 119
Location: Vienna, Austria, Europe, World, Solar System, Milky Way, Universe

PostPosted: Tue Jan 13, 2009 6:37 pm    Post subject: Reply with quote

jipiieh. unmask ist :D
Back to top
View user's profile Send private message
sgao
Tux's lil' helper
Tux's lil' helper


Joined: 22 Apr 2006
Posts: 149

PostPosted: Tue Jan 13, 2009 6:54 pm    Post subject: kde-testing removed from overlay? Reply with quote

It seems that kde-testing has disappeared from layman overlay. Is it gone or replaced by something else?
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 826
Location: Alaska

PostPosted: Tue Jan 13, 2009 7:49 pm    Post subject: Reply with quote

I get:
Code:
 layman -S
* Failed to update the overlay list from: http://www.gentoo.org/proj/en/overlays                                       /layman-global.txt
* Error was:
* Failed to parse the overlays list fetched from http://www.gentoo.org/proj/en/o                                       verlays/layman-global.txt
* This means that the downloaded file is somehow corrupt or there was a problem                                        with the webserver. Check the content of the file. Error was:
* Failed to parse the overlay list!
* Error was:
* mismatched tag: line 252, column 4
* Running command "/usr/bin/svn up "/usr/local/portage/layman/pro-audio""...
At revision 1406.
* Running command "cd "/usr/local/portage/layman/kde-testing" && /usr/bin/git pu                                       ll"...
remote: Counting objects: 190, done.
remote: Compressing objects: 100% (101/101), done.
remote: Total 101 (delta 89), reused 0 (delta 0)
Receiving objects: 100% (101/101), 19.81 KiB | 13 KiB/s, done.
Resolving deltas: 100% (89/89), completed with 87 local objects.
From git://git.overlays.gentoo.org/proj/kde
   37558f2..b5da9e9  master     -> origin/master
Updating 37558f2..b5da9e9
Fast forward
 kde-base/dolphin/Manifest              |    2 +-
 kde-base/drkonqi/Manifest              |    2 +-
 kde-base/kappfinder/Manifest           |    2 +-
 kde-base/kcmshell/Manifest             |    2 +-
 kde-base/kcontrol/Manifest             |    2 +-
 kde-base/kde-menu-icons/Manifest       |    2 +-
 kde-base/kde-menu/Manifest             |    2 +-
 kde-base/kdebase-data/Manifest         |    2 +-
 kde-base/kdebase-desktoptheme/Manifest |    2 +-
 kde-base/kdebase-kioslaves/Manifest    |    2 +-
 kde-base/kdebugdialog/Manifest         |    2 +-
 kde-base/kdedglobalaccel/Manifest      |    2 +-
 kde-base/kdepasswd/Manifest            |    2 +-
 kde-base/kdesu/Manifest                |    2 +-
 kde-base/kdialog/Manifest              |    2 +-
 kde-base/keditbookmarks/Manifest       |    2 +-
 kde-base/kfile/Manifest                |    2 +-
 kde-base/kfind/Manifest                |    2 +-
 kde-base/khelpcenter/Manifest          |    2 +-
 kde-base/kiconfinder/Manifest          |    2 +-
 kde-base/kinfocenter/Manifest          |    2 +-
 kde-base/kioclient/Manifest            |    2 +-
 kde-base/kmimetypefinder/Manifest      |    2 +-
 kde-base/knetattach/Manifest           |    2 +-
 kde-base/knewstuff/Manifest            |    2 +-
 kde-base/knotify/Manifest              |    2 +-
 kde-base/konqueror/Manifest            |    2 +-
 kde-base/konsole/Manifest              |    2 +-
 kde-base/kpasswdserver/Manifest        |    2 +-
 kde-base/kquitapp/Manifest             |    2 +-
 kde-base/kreadconfig/Manifest          |    2 +-
 kde-base/kstart/Manifest               |    2 +-
 kde-base/kstyles/Manifest              |    2 +-
 kde-base/ktimezoned/Manifest           |    2 +-
 kde-base/ktraderclient/Manifest        |    2 +-
 kde-base/kuiserver/Manifest            |    2 +-
 kde-base/kurifilter-plugins/Manifest   |    2 +-
 kde-base/kwalletd/Manifest             |    2 +-
 kde-base/kwrite/Manifest               |    2 +-
 kde-base/libkonq/Manifest              |    2 +-
 kde-base/nepomuk/Manifest              |    2 +-
 kde-base/nsplugins/Manifest            |    2 +-
 kde-base/phonon-kde/Manifest           |    2 +-
 kde-base/plasma-apps/Manifest          |    2 +-
 kde-base/renamedlg-plugins/Manifest    |    2 +-
 kde-base/solid-hardware/Manifest       |    2 +-
 kde-base/soliduiserver/Manifest        |    2 +-
 profiles/package.mask                  |  485 --------------------------------
 48 files changed, 47 insertions(+), 532 deletions(-)
*
* Success:
* ------
*
* Successfully synchronized overlay "pro-audio".
* Successfully synchronized overlay "kde-testing".
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 154
Location: Czech Republic

PostPosted: Tue Jan 13, 2009 10:13 pm    Post subject: Reply with quote

phonon-kde failed. Looking for phonon >=4.2.96, found 4.2.80 but I have installed 4.3_p905142
I had no problems before.
Code:

-- Phonon Version: 4.2.80                                                                                                                                                                               
-- Found Phonon: /usr/lib64/libphonon.so                                                                                                                                                                 
-- Found Phonon Includes: /usr/include/KDE;/usr/include                                                                                                                                                 
-- Found KDE 4.2 include dir: /usr/include                                                                                                                                                               
-- Found KDE 4.2 library dir: /usr/lib64                         
.....
--                                                                                                                                                                                                       
-----------------------------------------------------------------------------                                                                                                                           
-- The following REQUIRED packages could NOT be located on your system.                                                                                                                                 
-- Please install them before continuing this software installation.                                                                                                                                     
-----------------------------------------------------------------------------                                                                                                                           
+ Phonon, 4.2.96 or higher: Phonon library <svn.kde.org/home/kde/trunk/kdesupport/phonon>                                                                                                               
-----------------------------------------------------------------------------                                                                                                                           
CMake Error at /usr/share/apps/cmake/modules/MacroLogFeature.cmake:93 (MESSAGE):                                                                                                                         
  Exiting: Missing Requirements                                                                                                                                                                         
Call Stack (most recent call first):                                                                                                                                                                     
  CMakeLists.txt:102 (macro_display_feature_log)                                                                                                                                                         


[I] media-sound/phonon
     Available versions:  (~)4.2.0!t (~)4.2.80[1] (~)4.2.80[2] (~)4.2.96[2] (~)4.3_p905142[2] **9999[1] {debug gstreamer xcb xine}
     Installed versions:  4.3_p905142[2](01:22:38 6.1.2009)(gstreamer xcb xine -debug)
     Homepage:            http://phonon.kde.org
     Description:         KDE multimedia API


Downgrade to 4.2.96 solves the issue.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7112
Location: Austria

PostPosted: Tue Jan 13, 2009 10:29 pm    Post subject: Reply with quote

skazi wrote:
KDE 4.1.96 is released:
ftp://ftp.kde.org/pub/kde/unstable/4.1.96/src/

Yay! Now emerging...
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
d-fens
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jan 2004
Posts: 92

PostPosted: Wed Jan 14, 2009 1:03 am    Post subject: some issues Reply with quote

hi,

i just updated my live sets since christmas, some changes i found:

* no phonon backend displayed, sound works though
* a new .kdelive dir, is it save to move .kde4 to .kdelive, and which applications use .kdelive and which .kde4?
* everything in the live slot is now +kdeprefix , some 4.1.X ebuilds get pulled in: adding +kdeprefix to those ebuild fixes this
* kmail-9999 fails to build
Code:
[ 35%] Building CXX object kmail/CMakeFiles/kmailprivate.dir/vacation.o                                                               
/var/tmp/portage/kde-base/kmail-9999/work/kmail-9999/kmail/vacation.cpp:36:27: Fehler: ksieve/parser.h: Datei oder Verzeichnis nicht gefunden                                                                                                                                 
/var/tmp/portage/kde-base/kmail-9999/work/kmail-9999/kmail/vacation.cpp:37:34: Fehler: ksieve/scriptbuilder.h: Datei oder Verzeichnis nicht gefunden                                                                                                                         
/var/tmp/portage/kde-base/kmail-9999/work/kmail-9999/kmail/vacation.cpp:38:26: Fehler: ksieve/error.h: Datei oder Verzeichnis nicht gefunden


any ideas?
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 6, 7, 8 ... 38, 39, 40  Next
Page 7 of 40

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum